Bug 1343923 - [Docs][VMM] Remove 'Important' notes about manually freezing and thawing filesystems
Summary: [Docs][VMM] Remove 'Important' notes about manually freezing and thawing file...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation
Version: 3.6.0
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: ovirt-3.6.10
: ---
Assignee: Byron Gravenorst
QA Contact: Megan Lewis
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-08 10:33 UTC by Daniel Erez
Modified: 2019-05-07 13:19 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-03 01:55:30 UTC
oVirt Team: Docs
Target Upstream Version:


Attachments (Terms of Use)

Description Daniel Erez 2016-06-08 10:33:06 UTC
Description of problem:

Virtual Machine Management Guide:
6.8.1. Creating a Snapshot of a Virtual Machine

1)
The 'IMPORTANT' note is wrong. I.e. no need to manually freeze and thaw the guest filesystem when using the REST API. It is done automatically by the engine. These actions where added just as a safety measure to mitigate issues with live snapshotting a VM with Cinder disks. E.g. it should be invoked manually if the VM stayed on freeze state after taking a live snapshot (due to a failure).

2)
Procedure 6.10. Creating a Snapshot of a Virtual Machine

The note is wrong. 'thaw' should be manually executed only in case of a failure (only if the VM stayed on freeze state).

Comment 1 Yaniv Lavi 2016-06-14 11:53:30 UTC
Why is this required for Cinder? Don't we do it for these VMs?

Comment 2 Daniel Erez 2016-06-14 13:42:19 UTC
(In reply to Yaniv Dary from comment #1)
> Why is this required for Cinder? Don't we do it for these VMs?

We do it automatically, i.e. the special notes for the rest-api in the documentation are redundant.

Comment 3 Allon Mureinik 2016-06-15 07:47:05 UTC
(In reply to Daniel Erez from comment #2)
> (In reply to Yaniv Dary from comment #1)
> > Why is this required for Cinder? Don't we do it for these VMs?
> 
> We do it automatically, i.e. the special notes for the rest-api in the
> documentation are redundant.

s/redundant/misleading/

Comment 5 Yaniv Lavi 2017-01-01 13:14:18 UTC
I still see this issue in the 4.0 docs:
https://access.redhat.com/documentation/en/red-hat-virtualization/4.0/paged/virtual-machine-management-guide/69-snapshots

Can we please fix this?

Comment 6 Lucy Bopf 2017-01-11 04:12:56 UTC
Assigning to Byron for review.


Note You need to log in before you can comment on or make changes to this bug.